Bug 962386 - WARNING: at drivers/gpu/drm/i915/intel_display.c:7739 intel_modeset_check_state+0x487/0x610 [i915]()
WARNING: at drivers/gpu/drm/i915/intel_display.c:7739 intel_modeset_check_sta...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-13 06:40 EDT by Jóhann B. Guðmundsson
Modified: 2015-02-17 19:29 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 19:29:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Error and continuous warnings from F21 (272.49 KB, text/plain)
2015-01-26 15:15 EST, Stuart D Gathman
no flags Details

  None (edit)
Description Jóhann B. Guðmundsson 2013-05-13 06:40:20 EDT
Description of problem:

[   32.293237] ------------[ cut here ]------------
[   32.293293] WARNING: at drivers/gpu/drm/i915/intel_display.c:7739 intel_modeset_check_state+0x487/0x610 [i915]()
[   32.293298] Hardware name: 4180WPD
[   32.293301] encoder's hw state doesn't match sw tracking (expected 1, found 0)
[   32.293304] Modules linked in: snd_hda_codec_hdmi snd_hda_codec_conexant ip6table_filter ip6_tables ebtable_nat ebtables ipt_MASQUERADE iptable_nat nf_nat_ipv4 nf_nat nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack xt_CHECKSUM iptable_mangle tun bridge stp llc vfat fat iTCO_wdt iTCO_vendor_support acpi_cpufreq mperf coretemp kvm_intel kvm crc32_pclmul crc32c_intel ghash_clmulni_intel microcode cdc_mbim snd_hda_intel i2c_i801 snd_hda_codec snd_hwdep arc4 snd_seq snd_seq_device uvcvideo videobuf2_vmalloc videobuf2_memops cdc_wdm videobuf2_core cdc_ncm usbnet videodev iwldvm mii media cdc_acm mac80211 snd_pcm btusb bluetooth snd_page_alloc iwlwifi i915 cfg80211 firewire_ohci firewire_core crc_itu_t e1000e sdhci_pci i2c_algo_bit lpc_ich sdhci drm_kms_helper mfd_core mmc_core drm snd_timer
[   32.293386]  mei i2c_core ptp pps_core thinkpad_acpi wmi snd soundcore rfkill video uinput binfmt_misc
[   32.293405] Pid: 348, comm: Xorg Not tainted 3.9.2-0.rc1.200.fc18.x86_64 #1
[   32.293408] Call Trace:
[   32.293425]  [<ffffffff8105f105>] warn_slowpath_common+0x75/0xa0
[   32.293433]  [<ffffffff8105f1e6>] warn_slowpath_fmt+0x46/0x50
[   32.293466]  [<ffffffffa02817d7>] intel_modeset_check_state+0x487/0x610 [i915]
[   32.293493]  [<ffffffffa02819a4>] intel_connector_dpms+0x44/0x70 [i915]
[   32.293521]  [<ffffffffa010bc2d>] drm_mode_obj_set_property_ioctl+0x31d/0x330 [drm]
[   32.293530]  [<ffffffff81304240>] ? add_uevent_var+0x100/0x100
[   32.293553]  [<ffffffffa010bc70>] drm_mode_connector_property_set_ioctl+0x30/0x40 [drm]
[   32.293574]  [<ffffffffa00fa483>] drm_ioctl+0x4d3/0x580 [drm]
[   32.293584]  [<ffffffff8119a6c1>] ? mem_cgroup_bad_page_check+0x21/0x30
[   32.293608]  [<ffffffffa010bc40>] ? drm_mode_obj_set_property_ioctl+0x330/0x330 [drm]
[   32.293616]  [<ffffffff8113bf6a>] ? __free_pages+0x5a/0x90
[   32.293625]  [<ffffffff811b14f7>] do_vfs_ioctl+0x97/0x580
[   32.293633]  [<ffffffff811a1266>] ? __fput+0x176/0x240
[   32.293641]  [<ffffffff811b1a71>] sys_ioctl+0x91/0xb0
[   32.293650]  [<ffffffff81014971>] ? do_notify_resume+0x71/0xb0
[   32.293658]  [<ffffffff81669a59>] system_call_fastpath+0x16/0x1b
[   32.293663] ---[ end trace 818c4823b9a251b7 ]---
[   32.360053] ------------[ cut here ]------------


Version-Release number of selected component (if applicable):

3.9.2-0.rc1.200.fc18.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jeff Layton 2013-07-22 10:13:15 EDT
Moving to rawhide since I see this on 3.10 kernels as well. Rest of machine is running f19, but I installed a f20 kernel on there temporarily to see if it would make the warning go away. It doesn't. I'll be happy to help test kernel patches if necessary...

[   36.911441] ------------[ cut here ]------------
[   36.911484] WARNING: at drivers/gpu/drm/i915/intel_display.c:3925 intel_modeset_check_state+0x768/0x770 [i915]()
[   36.911486] wrong connector dpms state
[   36.911488] Modules linked in: ebtable_nat fuse nf_conntrack_netbios_ns nf_conntrack_broadcast ipt_MASQUERADE ip6table_nat nf_nat_ipv6 ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack bnep bluetooth ebtable_filter ebtables ip6table_filter ip6_tables snd_hda_codec_idt snd_hda_codec_hdmi snd_hda_intel snd_hda_codec snd_hwdep arc4 snd_seq snd_seq_device iwl3945 mperf iwlegacy coretemp mac80211 cfg80211 iTCO_wdt snd_pcm snd_page_alloc sky2 dell_wmi iTCO_vendor_support sparse_keymap snd_timer microcode sdhci_pci rfkill lpc_ich snd sdhci mfd_core mmc_core r592 memstick dell_laptop dcdbas soundcore i2c_i801 serio_raw wmi uinput i915 firewire_ohci firewire_core i2c_algo_bit drm_kms_helper
[   36.911525]  crc_itu_t drm i2c_core video
[   36.911531] CPU: 0 PID: 509 Comm: Xorg Not tainted 3.10.0-1.fc20.i686.PAE #1
[   36.911534] Hardware name: Dell Inc. Inspiron 1525                   /0WP007, BIOS A17 10/27/2009
[   36.911536]  f1bd99a0 f1bd99a0 f1bd9968 c098b5c1 f1bd9990 c044a18e f816b749 f1bd99bc
[   36.911541]  00000f55 f812dc18 f812dc18 f6a1b000 f6a13c00 f6a126bc f1bd99a8 c044a1e3
[   36.911546]  00000009 f1bd99a0 f816b749 f1bd99bc f1bd9bb4 f812dc18 f8163ff4 00000f55
[   36.911552] Call Trace:
[   36.911560]  [<c098b5c1>] dump_stack+0x16/0x18
[   36.911565]  [<c044a18e>] warn_slowpath_common+0x5e/0x80
[   36.911588]  [<f812dc18>] ? intel_modeset_check_state+0x768/0x770 [i915]
[   36.911609]  [<f812dc18>] ? intel_modeset_check_state+0x768/0x770 [i915]
[   36.911612]  [<c044a1e3>] warn_slowpath_fmt+0x33/0x40
[   36.911634]  [<f812dc18>] intel_modeset_check_state+0x768/0x770 [i915]
[   36.911642]  [<c098f3d6>] ? __schedule+0x366/0x780
[   36.911663]  [<f81280f1>] ? i9xx_update_plane+0x211/0x360 [i915]
[   36.911667]  [<c0458223>] ? lock_timer_base.isra.36+0x23/0x50
[   36.911671]  [<c0458223>] ? lock_timer_base.isra.36+0x23/0x50
[   36.911674]  [<c0458c32>] ? try_to_del_timer_sync+0x42/0x60
[   36.911677]  [<c0458c99>] ? del_timer_sync+0x49/0x60
[   36.911681]  [<c098e09e>] ? schedule_timeout+0x13e/0x250
[   36.911684]  [<c0458020>] ? __internal_add_timer+0xc0/0xc0
[   36.911687]  [<c0458020>] ? __internal_add_timer+0xc0/0xc0
[   36.911703]  [<f7e45759>] ? drm_calc_timestamping_constants+0x159/0x1e0 [drm]
[   36.911726]  [<f8127160>] ? __intel_set_mode+0x830/0xbc0 [i915]
[   36.911746]  [<f8127160>] ? __intel_set_mode+0x830/0xbc0 [i915]
[   36.911771]  [<f812dcb0>] intel_set_mode+0x30/0x40 [i915]
[   36.911792]  [<f812ed30>] intel_get_load_detect_pipe+0x230/0x3a0 [i915]
[   36.911822]  [<f814abe7>] intel_tv_detect+0xe7/0x4a0 [i915]
[   36.911830]  [<f7f0b1f5>] ? __i2c_transfer+0x55/0x70 [i2c_core]
[   36.911837]  [<f7f0bb01>] ? i2c_transfer+0x51/0xc0 [i2c_core]
[   36.911847]  [<f7f222c8>] drm_helper_probe_single_connector_modes+0x1b8/0x330 [drm_kms_helper]
[   36.911868]  [<f7e4fb5d>] drm_mode_getconnector+0x2fd/0x350 [drm]
[   36.911885]  [<f7e4f860>] ? drm_mode_getcrtc+0xc0/0xc0 [drm]
[   36.911897]  [<f7e42cea>] drm_ioctl+0x49a/0x540 [drm]
[   36.911905]  [<c04c64a7>] ? kdb_md+0x467/0x590
[   36.911918]  [<f7e4f860>] ? drm_mode_getcrtc+0xc0/0xc0 [drm]
[   36.911924]  [<c0417a73>] ? __restore_xstate_sig+0x383/0x500
[   36.911936]  [<f7e42850>] ? drm_copy_field+0x70/0x70 [drm]
[   36.911940]  [<c0562cfe>] do_vfs_ioctl+0x2ee/0x4f0
[   36.911946]  [<c0627f3a>] ? inode_has_perm.isra.33.constprop.63+0x3a/0x50
[   36.911949]  [<c0627fd7>] ? file_has_perm+0x87/0x90
[   36.911953]  [<c062839c>] ? selinux_file_ioctl+0x4c/0xf0
[   36.911956]  [<c0562f60>] SyS_ioctl+0x60/0x80
[   36.911959]  [<c04c64a7>] ? kdb_md+0x467/0x590
[   36.911962]  [<c04c64a7>] ? kdb_md+0x467/0x590
[   36.911967]  [<c099818d>] sysenter_do_call+0x12/0x28
[   36.911970]  [<c04c64a7>] ? kdb_md+0x467/0x590
[   36.911973]  [<c04c64a7>] ? kdb_md+0x467/0x590
[   36.911975] ---[ end trace 6486729969909b35 ]---
Comment 2 Jeff Layton 2013-07-22 10:15:12 EDT
BTW, these messages repeat very rapidly on this machine. Might it be reasonable to turn this warning into a WARN_ON_ONCE?
Comment 3 Jeff Layton 2013-07-22 10:22:26 EDT
Actually, there are a bunch of warnings here too. I won't print the whole stack trace, but...

[  498.968473] ------------[ cut here ]------------
[  498.968493] WARNING: at drivers/gpu/drm/i915/intel_display.c:3929 intel_modeset_check_state+0x726/0x770 [i915]()
[  498.968495] encoder->connectors_active not set

[...]

[  498.968000] WARNING: at drivers/gpu/drm/i915/intel_display.c:3927 intel_modeset_check_state+0x747/0x770 [i915]()
[  498.968002] active connector not linked to encoder

[...]

[  498.738144] WARNING: at drivers/gpu/drm/i915/intel_display.c:7898 intel_modeset_check_state+0x5fd/0x770 [i915]()
[  498.738146] encoder's hw state doesn't match sw tracking (expected 0, found 1)

[...]

[  498.732474] WARNING: at drivers/gpu/drm/i915/intel_display.c:3933 intel_modeset_check_state+0x6e4/0x770 [i915]()
(no explanation message on this one)

Previous kernels (3.8-ish) worked fine without warnings on this laptop.
Comment 4 Fedora End Of Life 2013-09-16 09:53:15 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 5 Jeff Layton 2013-11-23 12:38:47 EST
FWIW, current 3.11-ish kernels work fine.
Comment 6 GP 2014-12-27 08:49:16 EST
I get a similar issue in Fedora 21. Here is a sample of my dmesg:

http://fpaste.org/163275/19655024/
Comment 7 Stuart D Gathman 2015-01-26 15:15:40 EST
Created attachment 984389 [details]
Error and continuous warnings from F21

Still broken in F21.  The repeating tainted (GW) kernel warnings prevent reporting other kernel oops, and obscure the journal when searching for clues to other errors.
Comment 8 Stuart D Gathman 2015-01-31 09:02:24 EST
Check out https://admin.fedoraproject.org/updates/kernel-3.18.5-200.fc21
The kernel oops is gone at boot.  I'll know by the end of today whether Xorg can stay up.
Comment 9 Stuart D Gathman 2015-02-01 20:14:16 EST
Xorg still crashes, but the oops is no longer tainted, so there are lots of reports of this crasher now.
Comment 10 Stuart D Gathman 2015-02-13 11:23:19 EST
Check out kernel-3.18.7 in bodhi.  Xorg still crashes, but now the switch console keys still work, and it is no longer unkillable.  So you can login to a text console and kill Xorg to lose all your work without having to power off because the system can't shutdown.
Comment 11 Stuart D Gathman 2015-02-17 17:08:48 EST
I've been up for 4 days with no crash after disabling "put display to sleep".  I believe kernel-3.18.7 fixes this problem, and the issue can be closed.
Comment 12 Josh Boyer 2015-02-17 19:29:30 EST
Thanks.

Note You need to log in before you can comment on or make changes to this bug.